/**
 * AGUA Copyright (C) 2023  Atix Labs
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import React from 'react';

export const MilestonesIcon = () => (
  <svg width="27" height="26" viewBox="0 0 27 26" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_102_3727)">
      <path
        d="M6.67501 6.47265C6.95752 6.74255 7.4721 6.5849 7.66885 6.24689C7.8656 5.90889 7.81515 5.48007 7.68525 5.1118C7.55534 4.74352 7.35355 4.40047 7.25265 4.02337C7.00923 3.11529 7.38508 2.15424 7.87569 1.35211C7.92866 1.26508 7.98415 1.17806 8.06109 1.10995C8.16199 1.02293 8.29063 0.975002 8.41927 0.940949C9.82301 0.562584 11.4336 1.65228 11.6038 3.09637C11.6291 3.30699 11.6265 3.5214 11.5837 3.7295C11.4121 4.55434 10.6466 5.10801 10.2367 5.84456C10.1938 5.9215 10.1534 6.006 10.1623 6.09428C10.1837 6.31752 10.4662 6.38941 10.6857 6.43481C11.5168 6.60634 12.2105 7.16758 12.8209 7.75909C13.4314 8.3506 14.0052 8.99887 14.743 9.41885C15.4808 9.83884 16.4444 9.98892 17.1658 9.54119C17.5858 7.79819 17.8696 6.02113 18.0146 4.23399C18.0373 3.94895 18.1395 3.58068 18.4245 3.57311C18.567 3.56933 18.6881 3.66644 18.8104 3.74085C19.2481 4.00697 19.803 3.9931 20.3012 3.87202C20.7994 3.75094 21.2673 3.53149 21.7642 3.40663C22.7215 3.16574 23.6586 2.80125 24.6385 2.92232C24.8265 2.94502 25.539 3.05853 25.6916 3.17078C25.9388 3.35114 25.5504 4.08895 25.563 4.39542C25.6135 5.63016 26.374 7.05659 25.6916 8.08701C25.621 8.19421 24.4355 8.12106 24.3358 8.20178C24.1883 8.32159 24.0004 8.37583 23.8175 8.42754C22.4995 8.80086 21.1803 9.17544 19.8623 9.54876C19.4865 9.6547 19.0879 9.77704 18.8382 10.0772C18.5595 10.4127 18.5305 10.9008 18.2593 11.2426C17.8923 11.7042 17.2163 11.7559 16.6285 11.7105C15.7684 11.6436 14.9171 11.4532 14.1099 11.1467C13.7807 11.0219 13.4528 10.8756 13.1022 10.8377C12.7516 10.7999 12.3644 10.8932 12.1449 11.1694C11.9658 11.3952 11.9292 11.6979 11.899 11.9842C11.8347 12.5883 11.7703 13.1924 11.706 13.7965C11.6013 14.7803 11.8473 16.3909 11.4424 17.2939C11.0376 18.1969 9.92391 18.3924 8.95403 18.5917C8.49621 18.685 7.76596 19.8353 7.3876 19.559C6.6397 19.0129 6.90077 16.6784 7.18328 15.7968C7.3485 15.2823 6.40385 14.7475 6.50727 14.2165C6.66997 13.3866 6.67123 12.2326 6.50727 11.404C6.28908 10.2992 7.05716 9.53867 6.75825 8.45402C6.65357 8.07566 5.92585 8.04665 5.68622 7.73639C5.25488 7.17893 5.13002 6.62526 4.52211 6.26833C3.82466 5.85844 3.27477 5.2026 2.99225 4.44461C2.86866 4.11291 2.3957 3.28177 2.59119 2.98791C2.78668 2.69404 3.74016 3.10015 3.85241 3.43564L6.67249 6.47769L6.67501 6.47265Z"
        fill="white"
      />
      <path
        d="M17.7321 26.0002C12.4741 26.0002 7.13407 25.9977 1.85839 25.9825C1.37787 25.9813 0.719515 25.7278 0.447092 25.2611C0.148183 24.749 0.434479 24.0188 0.686723 23.6795C1.33247 22.8055 2.00343 21.9302 2.6517 21.084C3.19024 20.3815 3.74644 19.655 4.28498 18.9348C4.79829 18.2487 5.46548 17.9826 6.086 17.8742V14.8598C6.08347 12.8759 6.08221 10.8239 6.09356 8.806C6.09356 8.72528 6.08852 8.68492 6.08473 8.666C6.07212 8.65717 6.04564 8.63825 5.99519 8.61429C4.02895 7.66459 2.59747 6.08807 1.7411 3.93139C1.43462 3.15953 1.63768 2.48351 2.28216 2.12407C2.97962 1.73435 3.70986 1.84786 4.18786 2.42045C4.41236 2.68909 4.61163 3.00692 4.79703 3.39285C5.32044 4.48002 6.05068 5.26324 7.02939 5.78538C7.08614 5.81565 7.20596 5.84844 7.37118 5.8497C7.58684 5.85222 7.80251 5.85475 8.01818 5.85727C9.00698 5.86988 10.0298 5.88249 11.0249 5.8434C11.9872 5.80556 12.6973 6.18897 13.1955 7.01885C13.8765 8.15142 14.8187 8.81609 16.0748 9.05193C16.3485 9.10364 16.6323 9.13139 16.9312 9.15788V8.38475C16.9312 6.51184 16.9312 4.62254 16.9337 2.73449C16.9337 2.70423 16.9337 2.6727 16.9337 2.64116C16.9299 2.41415 16.9236 2.10262 17.0926 1.81759C17.0977 1.80876 17.6652 0.890595 18.3513 1.14662C18.7436 1.29292 19.185 1.68516 19.272 2.15307C19.3288 2.45829 19.3212 2.75972 19.3136 3.02457C19.3099 3.18223 19.3048 3.33231 19.3136 3.46978C19.7362 3.61356 20.1423 3.46726 20.7552 3.22132C20.8536 3.18223 20.952 3.14187 21.0503 3.10529C21.3026 3.00944 21.551 2.89845 21.8146 2.7799C22.3343 2.54783 22.8728 2.30694 23.4593 2.17956C24.1201 2.03704 24.8239 2.25397 25.3902 2.42802L25.4242 2.43811C26.0738 2.63864 26.4584 3.23268 26.4521 4.0285C26.4471 4.59984 26.4484 5.18252 26.4496 5.74628C26.4496 6.28987 26.4509 6.83345 26.4471 7.37704C26.4433 7.97612 26.2592 8.42006 25.9022 8.69501C25.5516 8.96491 25.0925 9.02797 24.5376 8.88545C23.8868 8.71771 23.2852 8.975 22.589 9.27265C22.4162 9.34706 22.2472 9.42652 22.0669 9.51102C21.657 9.70398 21.232 9.90326 20.7666 10.0306C20.3087 10.1568 19.8585 10.1971 19.3818 10.2413C19.354 10.2438 19.3263 10.2463 19.2985 10.2488V10.2614C19.296 11.5088 19.2922 12.7978 19.3036 14.064C19.3036 14.146 19.3174 14.2065 19.3263 14.2343L19.5672 14.5143C20.1158 15.155 20.6833 15.8171 21.29 16.3947C21.6721 16.758 22.1766 17.043 22.7038 17.3268C23.0052 17.4895 23.3369 17.6169 23.6875 17.7518C23.8666 17.8212 24.052 17.8918 24.2349 17.97C25.008 18.2954 25.5327 18.9058 25.7496 19.7344C26.1305 21.1848 26.5051 22.6289 26.862 24.0251C27.0197 24.6406 26.9629 25.1135 26.6867 25.4679C26.4093 25.8249 25.9615 25.9989 25.3158 25.9989H22.975C21.2383 25.9989 19.4864 25.9989 17.7258 25.9989L17.7321 26.0002ZM1.60111 24.6507C1.6793 24.6885 1.78777 24.7226 1.86218 24.7226C8.90103 24.7415 16.0584 24.7402 22.98 24.739H25.3208C25.5453 24.739 25.65 24.7074 25.6891 24.691C25.6941 24.6494 25.6979 24.546 25.645 24.3392C25.288 22.9442 24.9147 21.5027 24.5338 20.0548C24.414 19.6008 24.1656 19.3082 23.7493 19.1328C23.5829 19.0635 23.4151 18.9979 23.2373 18.9298C22.8652 18.786 22.4806 18.6384 22.1085 18.4379C21.5271 18.1251 20.9179 17.7796 20.4235 17.3091C19.7702 16.6873 19.1825 16 18.6124 15.3366L18.3551 15.0364C18.0903 14.7287 18.0474 14.3024 18.0449 14.0766C18.0449 14.0691 18.0449 14.0602 18.0449 14.0527C18.0449 14.0527 18.0449 14.0552 18.0436 14.0552C17.5215 14.8825 15.8503 15.4577 14.9599 15.1159C14.5298 14.9506 14.2448 15.0124 13.9081 15.3404C13.594 15.6456 13.2661 15.9268 12.9193 16.2232C12.7641 16.3556 12.604 16.4931 12.4387 16.6382L11.3932 17.5551V8.86023L12.416 9.67245C14.2272 11.1102 15.7255 11.5718 17.4269 11.2174L18.0398 11.0901C18.0398 10.9047 18.0398 10.7193 18.0398 10.5351L17.4962 10.4771C17.326 10.4595 17.157 10.4443 16.9892 10.4304C16.6146 10.3989 16.2274 10.3661 15.8428 10.293C14.2347 9.99154 12.9798 9.10869 12.1146 7.66964C11.8548 7.2383 11.5736 7.08443 11.0754 7.10461C10.0462 7.14623 9.00698 7.13236 8.00052 7.11975C7.78612 7.11723 7.57171 7.1147 7.3573 7.11218C7.11389 7.10966 6.7557 7.07056 6.43409 6.89904C5.22837 6.25455 4.29507 5.25945 3.65941 3.94022C3.52194 3.65392 3.37312 3.41429 3.21799 3.22889C3.17132 3.1734 3.11331 3.10403 2.89638 3.22511C2.87746 3.2352 2.86737 3.24403 2.86106 3.24907C2.8598 3.27051 2.86106 3.33736 2.91151 3.46726C3.65815 5.34774 4.84496 6.6594 6.5413 7.4792C7.26397 7.82855 7.35478 8.37592 7.35226 8.8123C7.34091 10.8277 7.34217 12.8772 7.34343 14.8586V19.0307L6.75192 19.066C6.00276 19.1114 5.59412 19.2855 5.29269 19.689C4.75037 20.4142 4.19165 21.1445 3.65058 21.8495C3.00484 22.692 2.33766 23.5622 1.69822 24.4274C1.65912 24.4804 1.62129 24.5712 1.59858 24.6481L1.60111 24.6507ZM12.6544 11.4003V14.7854C12.7831 14.6707 12.9092 14.5546 13.029 14.4386C13.7201 13.7651 14.5223 13.5974 15.414 13.9392C15.7192 14.0564 16.6361 13.7462 16.9249 13.4498C16.9262 13.1534 16.9262 12.857 16.9262 12.5657C15.2008 12.7208 13.7933 12.1343 12.6557 11.4003H12.6544ZM18.1949 4.05877C18.1937 5.50539 18.1949 6.94948 18.1949 8.38475V9.29787C18.2467 9.22851 18.3148 9.16671 18.4056 9.11878L18.7411 8.94221L18.8634 9.02419C19.0034 9.00905 19.1396 8.99644 19.272 8.98509C19.692 8.94725 20.088 8.91068 20.4374 8.81482C20.7981 8.71519 21.1563 8.54745 21.5347 8.36962C21.7163 8.28385 21.9042 8.19557 22.0959 8.11359C22.8917 7.77306 23.791 7.38839 24.858 7.66459C25.0295 7.70874 25.1127 7.69865 25.1379 7.6936C25.1518 7.66838 25.1897 7.58009 25.1909 7.36947C25.1947 6.82967 25.1934 6.28987 25.1934 5.74881C25.1934 5.18252 25.1922 4.59605 25.196 4.01841C25.196 3.89482 25.1808 3.68167 25.0585 3.64383L25.0244 3.63374C24.5767 3.49627 24.0697 3.33862 23.733 3.41177C23.2739 3.5114 22.8186 3.71446 22.3368 3.93013C22.0681 4.04994 21.7907 4.17481 21.5056 4.28327C21.4136 4.31858 21.3228 4.35516 21.2307 4.39173C20.566 4.65785 19.7374 4.98955 18.8079 4.62506C18.5607 4.52795 18.3337 4.30849 18.1975 4.05877H18.1949ZM9.22138 18.5893L8.20989 18.1932V17.7632C8.20989 17.4996 8.20862 17.236 8.20736 16.9724C8.20358 16.1702 8.1998 15.3404 8.23385 14.5181C8.25655 13.982 8.88211 13.4763 9.35129 13.475C9.84569 13.475 10.4132 14.001 10.4561 14.4991L10.4675 14.6303C10.523 15.271 10.5873 15.9975 10.4309 16.6873C10.3262 17.1515 10.0298 17.5147 9.76875 17.8338C9.67037 17.9536 9.57831 18.0671 9.50389 18.1743L9.22012 18.5867L9.22138 18.5893Z"
        fill="currentColor"
      />
      <path
        d="M9.28813 6.3351C9.27552 6.3351 9.26291 6.3351 9.25029 6.3351C7.57035 6.31618 6.11238 4.8229 6.13004 3.14169C6.1477 1.40626 7.57918 0 9.32218 0H9.33732C11.098 0.00756731 12.4702 1.41382 12.4626 3.20097C12.4588 4.03842 12.1259 4.82668 11.523 5.41945C10.9227 6.01096 10.1306 6.3351 9.28939 6.3351H9.28813ZM9.32218 1.26122C8.26781 1.26122 7.40135 2.10876 7.39126 3.15431C7.38117 4.14688 8.27411 5.06127 9.26543 5.07388C9.78379 5.07892 10.2694 4.88343 10.6376 4.5202C10.9983 4.16454 11.1989 3.69411 11.2014 3.19466C11.2064 2.11506 10.3854 1.26626 9.33227 1.26122H9.32344H9.32218Z"
        fill="currentColor"
      />
      <path
        d="M26.2565 24.3088C25.8907 22.8786 25.5199 21.4496 25.1453 20.0219C24.9801 19.3913 24.6018 18.9335 23.9964 18.6787C23.4667 18.4555 22.913 18.2802 22.4098 18.0103C21.8649 17.7164 21.3037 17.4011 20.8597 16.9798C20.1345 16.29 19.49 15.513 18.8355 14.7525C18.7207 14.6188 17.5553 13.4522 17.5541 13.6364C17.5541 13.707 15.8161 14.8976 15.1868 14.6554C14.5171 14.3981 13.976 14.523 13.469 15.0174C13.0313 15.4437 12.5546 15.8271 12.0236 16.2925C10.8721 15.3415 6.71769 17.9976 6.71769 18.5665C5.93952 18.6131 5.2736 18.796 4.79055 19.4417C3.60248 21.0309 2.37406 22.5885 1.19482 24.1827C1.02077 24.4172 0.878254 24.8751 0.993024 25.0718C1.12924 25.3039 1.55931 25.4805 1.862 25.4805C9.68281 25.5019 17.5024 25.4981 25.3232 25.4968C26.1846 25.4968 26.4696 25.1361 26.2577 24.31L26.2565 24.3088Z"
        fill="currentColor"
      />
      <path
        d="M4.28247 21.4485C5.79089 21.1925 7.09877 21.9378 8.60718 21.6818C9.24662 21.5734 9.89489 22.3465 10.5419 22.3919C11.5408 22.4612 12.4728 21.6288 13.425 21.9366C14.3773 22.2443 15.4442 22.4285 16.3574 22.0186C16.9716 21.7436 17.4445 21.2303 18.007 20.862C19.5798 19.8329 22.1501 21.0159 23.7733 19.9918C23.3004 19.8026 22.8135 19.6361 22.3671 19.3965C21.8222 19.1026 21.261 18.7873 20.817 18.3661C20.0918 17.6762 19.4474 16.8993 18.7928 16.1388C18.678 16.0051 17.5126 14.8385 17.5114 15.0226C17.5114 15.0932 15.7734 16.2838 15.1441 16.0417C14.4744 15.7844 13.9333 15.9092 13.4263 16.4036C12.9887 16.8299 12.5119 17.2133 11.9809 17.6787C10.8295 16.7278 6.675 19.3839 6.675 19.9527C5.89683 19.9994 5.23091 20.1822 4.74786 20.828C4.59147 21.0373 4.43255 21.2454 4.2749 21.4535L4.27995 21.4498L4.28247 21.4485Z"
        fill="white"
      />
    </g>
    <defs>
      <clipPath id="clip0_102_3727">
        <rect width="26.6344" height="26" fill="white" transform="translate(0.319824)" />
      </clipPath>
    </defs>
  </svg>
);
